org.apache.ignite.internal.visor.cache

## Class VisorCacheAggregatedMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheAggregatedMetrics

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheAggregatedMetrics
    extends VisorDataTransferObject

Data transfer object for aggregated cache metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheAggregatedMetrics()` Default constructor.
`VisorCacheAggregatedMetrics(VisorCacheMetrics cm)` Create data transfer object for aggregated cache metrics.

### Method Summary

Methods
`double` `getAverageHeapSize()`
`double` `getAverageHits()`
`double` `getAverageMisses()`
`double` `getAverageOffHeapSize()`
`double` `getAverageQueryTime()`
`double` `getAverageReads()`
`double` `getAverageWrites()`
`long` `getMaximumHeapSize()`
`long` `getMaximumHits()`
`long` `getMaximumMisses()`
`long` `getMaximumOffHeapSize()`
`long` `getMaximumQueryTime()`
`long` `getMaximumReads()`
`long` `getMaximumWrites()`
`Map<UUID,VisorCacheMetrics>` `getMetrics()`
`long` `getMinimumHeapSize()`
`long` `getMinimumHits()`
`long` `getMinimumMisses()`
`long` `getMinimumOffHeapSize()`
`long` `getMinimumQueryTime()`
`long` `getMinimumReads()`
`long` `getMinimumWrites()`
`CacheMode` `getMode()`
`String` `getName()`
`Collection<UUID>` `getNodes()`
`int` `getQueryExecutions()`
`int` `getQueryFailures()`
`long` `getTotalQueryTime()`
`boolean` `isSystem()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheAggregatedMetrics

    public VisorCacheAggregatedMetrics()

Default constructor.

#### VisorCacheAggregatedMetrics

    public VisorCacheAggregatedMetrics(VisorCacheMetrics cm)

Create data transfer object for aggregated cache metrics.

Parameters:
  `cm` - Source cache metrics.

### Method Detail

#### getName

    public String getName()

Returns:
  Cache name.

#### getMode

    public CacheMode getMode()

Returns:
  Cache mode.

#### isSystem

    public boolean isSystem()

Returns:
  Cache system state.

#### getNodes

    public Collection<UUID> getNodes()

Returns:
  Nodes.

#### getMinimumHeapSize

    public long getMinimumHeapSize()

Returns:
  Minimum number of elements in heap.

#### getAverageHeapSize

    public double getAverageHeapSize()

Returns:
  Average number of elements in heap.

#### getMaximumHeapSize

    public long getMaximumHeapSize()

Returns:
  Maximum number of elements in heap.

#### getMinimumOffHeapSize

    public long getMinimumOffHeapSize()

Returns:
  Minimum number of elements in off heap.

#### getAverageOffHeapSize

    public double getAverageOffHeapSize()

Returns:
  Average number of elements in off heap.

#### getMaximumOffHeapSize

    public long getMaximumOffHeapSize()

Returns:
  Maximum number of elements in off heap in the cache.

#### getMinimumHits

    public long getMinimumHits()

Returns:
  Minimum hits of the owning cache.

#### getAverageHits

    public double getAverageHits()

Returns:
  Average hits of the owning cache.

#### getMaximumHits

    public long getMaximumHits()

Returns:
  Maximum hits of the owning cache.

#### getMinimumMisses

    public long getMinimumMisses()

Returns:
  Minimum misses of the owning cache.

#### getAverageMisses

    public double getAverageMisses()

Returns:
  Average misses of the owning cache.

#### getMaximumMisses

    public long getMaximumMisses()

Returns:
  Maximum misses of the owning cache.

#### getMinimumReads

    public long getMinimumReads()

Returns:
  Minimum total number of reads of the owning cache.

#### getAverageReads

    public double getAverageReads()

Returns:
  Average total number of reads of the owning cache.

#### getMaximumReads

    public long getMaximumReads()

Returns:
  Maximum total number of reads of the owning cache.

#### getMinimumWrites

    public long getMinimumWrites()

Returns:
  Minimum total number of writes of the owning cache.

#### getAverageWrites

    public double getAverageWrites()

Returns:
  Average total number of writes of the owning cache.

#### getMaximumWrites

    public long getMaximumWrites()

Returns:
  Maximum total number of writes of the owning cache.

#### getMinimumQueryTime

    public long getMinimumQueryTime()

Returns:
  Minimum execution time of query.

#### getAverageQueryTime

    public double getAverageQueryTime()

Returns:
  Average execution time of query.

#### getMaximumQueryTime

    public long getMaximumQueryTime()

Returns:
  Maximum execution time of query.

#### getTotalQueryTime

    public long getTotalQueryTime()

Returns:
  Total execution time of query.

#### getQueryExecutions

    public int getQueryExecutions()

Returns:
  Number of executions.

#### getQueryFailures

    public int getQueryFailures()

Returns:
  Total number of times a query execution failed.

#### getMetrics

    public Map<UUID,VisorCacheMetrics> getMetrics()

Returns:
  Map of Node IDs to cache metrics.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017